summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorLaserEyess <lasereyess@users.noreply.github.com>2024-02-24 13:38:06 -0500
committersfan5 <sfan5@live.de>2024-02-25 14:29:18 +0100
commita0447a370ed4bcd87df28a580fe60bd57603cde4 (patch)
tree0e87b4a465519dac6cc52203f7d4609a83d18160 /ci
parent914e56d8455748b1563b23fe0663be646d7c5832 (diff)
downloadmpv-a0447a370ed4bcd87df28a580fe60bd57603cde4.tar.bz2
mpv-a0447a370ed4bcd87df28a580fe60bd57603cde4.tar.xz
ci: add OpenBSD
Diffstat (limited to 'ci')
-rwxr-xr-xci/build-openbsd.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/ci/build-openbsd.sh b/ci/build-openbsd.sh
new file mode 100755
index 0000000000..f2b09ac905
--- /dev/null
+++ b/ci/build-openbsd.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -e
+
+# libplacebo on openBSD is too old; use a subproject
+rm -rf subprojects
+mkdir -p subprojects
+git clone https://code.videolan.org/videolan/libplacebo.git \
+ --depth 1 --recurse-submodules subprojects/libplacebo
+
+meson setup build \
+ -Dlibmpv=true \
+ -Dlua=enabled \
+ -Dopenal=enabled \
+ -Dpulse=enabled \
+ -Dtests=true \
+ -Dvulkan=enabled \
+ -Ddvdnav=enabled \
+ -Dcdda=enabled
+
+meson compile -C build
+./build/mpv -v --no-config